import axios from "@/utils/request";

// 获取商品分类项
export async function getGoodsList () {
  const res = await axios.get("/api/v1/get_goods_category_list");
  return res;
}
// 获取商品列表
export async function getList (params) {
  const res = await axios.get("/api/v1/goods/background/get_goods_list", {
    params
  });
  return res;
}
// 商品上架
export async function putOnline (query) {
  const res = await axios.post("/api/v1/goods/background/online", {
    goods_spu_id: query
  });
  return res;
}
// 商品下架
export async function putOffline (query) {
  const res = await axios.post("/api/v1/goods/background/offline", {
    goods_spu_id: query
  });
  return res;
}
// 获取商品详情列表
export async function getGoodsInfo (params) {
  const res = await axios.get("/api/v1/goods/background/get_goods_info", {
    params
  });
  return res;
}
// 商品详情-审核通过
export async function postSuccess (query) {
  const res = await axios.post("/api/v1/goods/background/audit_pass", {
    goods_spu_id: query
  });
  return res;
}
// 审核拒绝
export async function auditReject (query) {
  const res = await axios.post("/api/v1/goods/background/audit_reject", query);
  return res;
}
// 商品详情-检查商品名称是否重复
export async function checkGoodsName (params) {
  const res = await axios.post(
    "/api/v1/goods/background/check_goods_name",
    params
  );
  return res;
}
// 获取门店表单
export async function getShopsList (params) {
  const res = await axios.get("/api/v1/shop/background/shop_list", { params });
  return res;
}
// 添加门店信息
export async function postAddShop (query) {
  const res = await axios.post("/api/v1/shop/background/add_shop", query);
  return res;
}

export async function editGoods (query) {
  const res = await axios.post("/api/v1/goods/background/edit_goods", query);
  return res;
}

// 获取营销活动列表
export async function getMarketingList (params) {
  const res = await axios.post("/api/v1/get_marketing_list", params);
  return res;
}
// 获取查询商品列表
export async function getFindGoodsList (params) {
  const res = await axios.post("/api/v1/get_find_goods_list", params);
  return res;
}
// 获取添加活动列表
export async function getAddMarketingList (params) {
  const res = await axios.post("/api/v1/get_addmarketing_list", params);
  return res;
}
// 获取查看列表
export async function getMarketingInfo (marketing_id) {
  const res = await axios.post("/api/v1/get_marketing_info", marketing_id);
  return res;
}
// 获取开启关闭
export async function updateMarketingList (params) {
  const res = await axios.post("/api/v1/update_marketing_list", params);
  return res;
}
