/**
 * 企业认证
 */
import axios from "../utils/request";

/**
 * 获取企业信息列表
 * @param query
 */
export async function auditList (params) {
  const res = await axios.post(`/api/v1/certification`, params);
  return res;
}

/**
 * 企业认证审核获取验证码
 * @param enterprise_auth_record_id 企业认证审核id
 */
export async function sendCode (enterprise_auth_record_id) {
  const res = await axios.post(`/api/v1/send_code`, enterprise_auth_record_id);
  return res;
}

/**
 * 企业认证检测验证码
 * @param enterprise_auth_record_id 企业认证审核id
 * @param code 验证码
 */
export async function checkCode (params) {
  const res = await axios.post(`/api/v1/check_code`, params);
  return res;
}

/**
 * 获取审核列表详情
 * @param enterprise_auth_record_id 审核记录id
 */
export async function getRecordInfo (params) {
  const res = axios.post(`/api/v1/get_record_info`, params);
  return res;
}
/**
 * 获取提交审核日志
 * @param enterprise_auth_record_id 审核记录id
 */
export async function getLog (params) {
  const res = axios.post(`/api/v1/get_log`, params);
  return res;
}

/**
 * 企业资料审核
 * @param param 企业资料审核参数
 */
export async function postAudit (params) {
  const res = axios.post(`/api/v1/audit`, params);
  return res;
}

/**
 * 414-1商户营业执照代提交(op后台)
 * @param query 上传执照参数信息
 */
export async function postBusiness (query) {
  const res = await axios.post(`/api/v1/business`, query);
  return res;
}

/**
 * 414-2商户信息代提交(op后台)
 * @param params 法人信息
 */
export async function opCommit (params) {
  const res = await axios.post(`/api/v1/op_commit`, params);
  return res;
}
/**
 * 414-3商户后台营业执照更新(op后台)
 * @param params 修改企业信息
 */
export async function opBusinessUpdate (params) {
  const res = await axios.post(`/api/v1/op_business_update`, params);
  return res;
}
